<!-- goodsList 商品列表 -->
<template>
  <div class="goodsList cf">
    <div class="goodsList-item" v-for="item in data" :key="item.id" @click="handleClick(item)">
      <van-image class="goodsList-img" width="3rem" height="3rem" lazy-load :src="item.images[0] | img" />
      <div class="rowHide2 goodsList-title">{{item.title}}</div>

      <div class="goodsList-row flex flex-b flex-m">
        <div class="goodsList-price">¥{{item.price}}</div>
        <div class="goodsList-label">销量<span class="goodsList-key">{{item.sale_num}}</span></div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'goodsList',
  props: {
    data: {
      type: Array,
      default() {
        return []
      }
    }
  },
  data() {
    return {
    }
  },
  methods: {
    //初始化方法
    init() { },
    handleClick(item) {
      this.$router.push(`/goodsDetail?id=${item.id}`)
    }
  },
}

</script>
<style lang='scss' scoped>
.goodsList {
  // display: grid;
  // grid-template-columns: 50% 50%;
  // grid-row-gap: 0.2rem;
  // grid-column-gap: 0.2rem;
   &>div{
    width: 49%;
    float: left;
    // margin: 0.1rem;
    margin-bottom:0.1rem ;

  }
  &>div:nth-of-type(even){
    margin-left:0.12rem 
  }
}

.goodsList-item {
  // border: 1px solid #eee;
  padding: 0.25rem;
  box-sizing: border-box;
  height: 4.8rem;
  background: #fff;
}

.goodsList-img {
  margin: 0 auto 0.1rem auto;
  display: block;
}

.goodsList-row {
  margin-top: 0.2rem;
  font-size: 0.27rem;
}

.goodsList-price {
  color: #FF6342;
  font-size: 0.32rem;
}

.goodsList-label {
  color:#8F8F8F;
  font-size: 0.24rem;
}

.goodsList-key {
  
  margin-left: 0.05rem;
}
</style>